Skip to main content
`Ctrl`+`K`

# MatPartitioningRegisterAll

Registers all of the matrix partitioning routines in PETSc.

## Synopsis

    PetscErrorCode MatPartitioningRegisterAll(void)

Not Collective

## See Also

`MatPartitioning`, `MatPartitioningType`, `MatPartitioningRegister()`, `MatPartitioningRegisterDestroy()`

## Level

developer

## Location

src/mat/graphops/partition/spartition.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages